import { segment as segmentIntegration } from './segment';
/**
 * Add to this array any integration between optimizely and a third party
 */

var integrations = [segmentIntegration];
/**
 * Will run through all integrations and call them
 * @param {object} param
 * @param {boolean} param.hasUserConsents
 * @param {object} param.activeIntegrations
 * @param {object} param.optimizelyInstance
 */

export var updateIntegrations = function updateIntegrations(_ref) {
  var hasUserConsents = _ref.hasUserConsents,
      activeIntegrations = _ref.activeIntegrations,
      optimizelyInstance = _ref.optimizelyInstance;
  integrations.forEach(function (integration) {
    return integration({
      activeIntegrations: activeIntegrations,
      optimizelyInstance: optimizelyInstance,
      hasUserConsents: hasUserConsents
    });
  });
};